/*************************************************
 **                                             **
 **   dbt.h                                 		**
 **                                             **
 **    Copyright (C) 1988, 1989, 1990, 1991 by  **
 **               SoftC, Ltd.                   **
 **               16820 3rd St NE               **
 **               Ham Lake, MN 55304            **
 **               (612) 434-6968                **
 **                                             **
 **             All rights reserved.            **
 *************************************************/



#ifndef __SOFTC_H__
#include "softc.h"
#endif



/**********
 *
 *  Defines
 *
 **********/


/* scdtrget, scdtrput definitions */
#define SC_CRUNCHNG 0               /* leave memo buffer unchanged */
#define SC_CRDELETE 0x100           /* delete soft carriage returns */





/**********
 *
 *  Type Definitions
 *
 **********/




typedef struct {  /* dBASE memo file information packet */
  CHAR fname[80]; /* file name */
  CHAR style;     /* file type (dBase3 or dBase4) */
  SC_FLAGS flags; /* miscellaneous flags */
} SC_DBTINFO;






#ifdef __cplusplus
extern "C" {
#endif


/**********
 *
 *  dBase Memo File Manipulator Prototypes
 *
 **********/




INT scdtclose(  INT );            /* file handle */

INT scdtcreate( CHAR * );         /* filename */

INT scdtcreatex(CHAR *,           /* filename */
                INT,              /* block size in 512 byte blocks */
                INT );            /* file format (dBASE 3/4) */

INT scdthget(   INT );            /* file handle */

INT scdtinfo(   INT,              /* file handle */
                SC_DBTINFO * );   /* file information and status */

INT scdtopenx(  INT *,            /* file handle */
                CHAR *,           /* filename */
                INT );            /* open mode & characteristics */

INT scdtpack(   INT,              /* data file handle */
                INT *);           /* memo file handle */

INT scdtrget(   INT,              /* file handle */
                LONG,             /* record number */
								CHAR F_PTR *,     /* buffer for record number */
                INT );            /* remove soft carriage returns? */

INT scdtrput(   INT,              /* file handle */
                LONG *,           /* record number */
								CHAR F_PTR,       /* buffer for record data */
                INT );            /* insert soft carriage returns? */




#ifdef __cplusplus
}
#endif




/**********
 *
 *  Compatibility Definitions
 *
 **********/



#define scdfgett(a,b,c)     scdtrget(a,b,c,SC_CRDELETE)
#define scdfgettx(a,b,c,d)  scdtrget(a,b,c,d)
#define scdfputt(a,b,c)     scdtrput(a,b,c,66)
#define scdfputtx(a,b,c,d)  scdtrput(a,b,c,d)

#define scdtopen(a,b)       scdtopenx(a,b,SC_RDWR | SC_FLUSH | SC_EXCLUDE)
