/*************************************************
 **                                             **
 **   fpt.h                                 		**
 **                                             **
 **    			Copyright (C) 1990, 1991 by  				**
 **               SoftC, Ltd.                   **
 **               16820 3rd St NE               **
 **               Ham Lake, MN 55304            **
 **               (612) 434-6968                **
 **                                             **
 **             All rights reserved.            **
 *************************************************/



#ifndef __SOFTC_H__
#include "softc.h"
#endif



/**********
 *
 *  Type Definitions
 *
 **********/




typedef struct {  /* FoxPro memo file information packet */
  CHAR fname[80]; /* file name */
  SC_FLAGS flags; /* miscellaneous flags */
} SC_FPTINFO;




#ifdef __cplusplus
extern "C" {
#endif


/**********
 *
 *  FoxPro Memo File Manipulator Prototypes
 *
 **********/




INT scdwclose(  INT );            /* file handle */

INT scdwcreate( CHAR *,           /* filename */
                INT );            /* number of bytes per memo block */

INT scdwinfo(   INT,              /* file handle */
                SC_FPTINFO * );   /* file information and status */

INT scdwhget(   INT );            /* file handle */

INT scdwopenx(  INT *,            /* file handle */
                CHAR *,           /* filename */
                INT );            /* open mode & characteristics */

INT scdwpack(   INT,              /* data file handle */
                INT *);           /* memo file handle */

INT scdwrget(   INT,              /* file handle */
                LONG,             /* record number */
								CHAR F_PTR * );   /* buffer for record number */

INT scdwrput(   INT,              /* file handle */
                LONG *,           /* record number */
								CHAR F_PTR,       /* buffer for record data */
                INT );            /* add/update switch */

#ifdef __cplusplus
}
#endif


