/*************************************************
 **                                             **
 **   ntx.h                                 		**
 **                                             **
 **    			Copyright (C) 1990, 1991 by  				**
 **               SoftC, Ltd.                   **
 **               16820 3rd St NE               **
 **               Ham Lake, MN 55304            **
 **               (612) 434-6968                **
 **                                             **
 **             All rights reserved.            **
 *************************************************/



#ifndef __SOFTC_H__
#include "softc.h"
#endif



/**********
 *
 *  Type Definitions
 *
 **********/




typedef struct {  /* Clipper index file information packet */
  CHAR fname[80]; /* file name */
  INT keylen;     /* key length */
  INT keydpl;     /* number of decimal places in numeric keys */
  INT exprlen;    /* key expression length */
  SC_FLAGS flags; /* miscellaneous flags */
} SC_NTXINFO;






#ifdef __cplusplus
extern "C" {
#endif


/**********
 *
 *  Clipper Index File Manipulators Prototypes
 *
 **********/




INT scdcbfrsz(  INT,              /* index file handle */
                INT *,            /* buffer length in pages */
                INT );            /* set or get buffer length */

INT scdcclose(  INT );            /* file handle */

INT scdccreate( CHAR *,           /* filename */
                INT,              /* index key type */
                CHAR *,           /* key expression */
                INT,              /* key length */
                INT );            /* number of decimal places */

INT scdcexpr(   INT,              /* file handle */
                CHAR * );         /* key expression */

INT scdcflush(  INT );            /* file handle */

INT scdchget(   INT );            /* file handle */

INT scdcindex(  INT,              /* data file handle */
                CHAR *,           /* new file name */
                INT,              /* index key type */
                CHAR *,           /* key expression */
                INT,              /* key length */
                INT );            /* number of decimal places */

INT scdcinfo(   INT,              /* file handle */
                SC_NTXINFO * );   /* file information and status */

INT scdcopenx(  INT *,            /* file handle */
                CHAR *,           /* filename */
                INT );            /* open mode and characteristics */




/**********
 *
 *  Clipper Index Key Building Prototypes
 *
 **********/




INT scdckmake(  INT,              /* .DBF file handle */
                INT,              /* .NTX file handle */
                VOID ** );        /* index key */




/**********
 *
 *  Clipper Index Key Manipulator Prototypes
 *
 **********/




INT scdckadd(   INT,              /* file handle */
                VOID *,           /* key string */
                LONG );           /* data record number */

INT scdckbot(   INT,              /* file handle */
                VOID *,           /* key string */
                LONG *);          /* data record number */

INT scdckcur(   INT,              /* file handle */
                VOID *,           /* key string */
                LONG *);          /* data record number */

INT scdckdel(   INT,              /* file handle */
                VOID *,           /* key string */
                LONG );           /* data record number */

INT scdckfind(  INT,              /* file handle */
                VOID *,           /* key string */
                LONG *,           /* data record number */
                INT);             /* exact match or first */

INT scdcknext(  INT,              /* file handle */
                VOID *,           /* key string */
                LONG *);          /* data record number */

INT scdckprev(  INT,              /* file handle */
                VOID *,           /* key string */
                LONG *);          /* data record number */

INT scdcktop(   INT,              /* file handle */
                VOID *,           /* key string */
                LONG *);          /* data record number */


#ifdef __cplusplus
}
#endif






